### Draft
defined_text = {
	name = EU_mff_draft
	text = { trigger = { ALB = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_ALB_loc_key
	}
	text = { trigger = { ARM = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_ARM_loc_key
	}
	text = { trigger = { AUS = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_AUS_loc_key
	}
	text = { trigger = { AZE = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_AZE_loc_key
	}
	text = { trigger = { BEL = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_BEL_loc_key
	}
	text = { trigger = { BLR = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_BLR_loc_key
	}
	text = { trigger = { BOS = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_BOS_loc_key
	}
	text = { trigger = { BUL = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_BUL_loc_key
	}
	text = { trigger = { CAT = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_CAT_loc_key
	}
	text = { trigger = { CRE = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_CRE_loc_key
	}
	text = { trigger = { CRO = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_CRO_loc_key
	}
	text = { trigger = { CYP = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_CYP_loc_key
	}
	text = { trigger = { CZE = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_CZE_loc_key
	}
	text = { trigger = { DEN = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_DEN_loc_key
	}
	text = { trigger = { ENG = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_ENG_loc_key
	}
	text = { trigger = { EST = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_EST_loc_key
	}
	text = { trigger = { FIN = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_FIN_loc_key
	}
	text = { trigger = { FRA = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_FRA_loc_key
	}
	text = { trigger = { FYR = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_FYR_loc_key
	}
	text = { trigger = { GEO = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_GEO_loc_key
	}
	text = { trigger = { GER = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_GER_loc_key
	}
	text = { trigger = { GRE = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_GRE_loc_key
	}
	text = { trigger = { HOL = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_HOL_loc_key
	}
	text = { trigger = { HUN = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_HUN_loc_key
	}
	text = { trigger = { ICE = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_ICE_loc_key
	}
	text = { trigger = { IRE = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_IRE_loc_key
	}
	text = { trigger = { ITA = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_ITA_loc_key
	}
	text = { trigger = { KOS = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_KOS_loc_key
	}
	text = { trigger = { LAT = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_LAT_loc_key
	}
	text = { trigger = { LIT = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_LIT_loc_key
	}
	text = { trigger = { LUX = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_LUX_loc_key
	}
	text = { trigger = { MLT = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_MLT_loc_key
	}
	text = { trigger = { MLV = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_MLV_loc_key
	}
	text = { trigger = { MNT = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_MNT_loc_key
	}
	text = { trigger = { NOR = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_NOR_loc_key
	}
	text = { trigger = { POL = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_POL_loc_key
	}
	text = { trigger = { POR = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_POR_loc_key
	}
	text = { trigger = { ROM = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_ROM_loc_key
	}
	text = { trigger = { SCL = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SCL_loc_key
	}
	text = { trigger = { SCO = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SCO_loc_key
	}
	text = { trigger = { SER = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SER_loc_key
	}
	text = { trigger = { SLO = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SLO_loc_key
	}
	text = { trigger = { SLV = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SLV_loc_key
	}
	text = { trigger = { SPR = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SPR_loc_key
	}
	text = { trigger = { SWE = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SWE_loc_key
	}
	text = { trigger = { SWI = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_SWI_loc_key
	}
	text = { trigger = { TUR = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_TUR_loc_key
	}
	text = { trigger = { UKR = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_UKR_loc_key
	}
	text = { trigger = { WAS = { has_country_flag = EU_mff_draft } }
		localization_key = EU_council_WAS_loc_key
	}
}

defined_text = {
	name = EU_budget_draft
	text = { trigger = { ALB = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_ALB_loc_key
	}
	text = { trigger = { ARM = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_ARM_loc_key
	}
	text = { trigger = { AUS = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_AUS_loc_key
	}
	text = { trigger = { AZE = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_AZE_loc_key
	}
	text = { trigger = { BEL = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_BEL_loc_key
	}
	text = { trigger = { BLR = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_BLR_loc_key
	}
	text = { trigger = { BOS = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_BOS_loc_key
	}
	text = { trigger = { BUL = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_BUL_loc_key
	}
	text = { trigger = { CAT = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_CAT_loc_key
	}
	text = { trigger = { CRE = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_CRE_loc_key
	}
	text = { trigger = { CRO = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_CRO_loc_key
	}
	text = { trigger = { CYP = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_CYP_loc_key
	}
	text = { trigger = { CZE = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_CZE_loc_key
	}
	text = { trigger = { DEN = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_DEN_loc_key
	}
	text = { trigger = { ENG = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_ENG_loc_key
	}
	text = { trigger = { EST = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_EST_loc_key
	}
	text = { trigger = { FIN = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_FIN_loc_key
	}
	text = { trigger = { FRA = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_FRA_loc_key
	}
	text = { trigger = { FYR = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_FYR_loc_key
	}
	text = { trigger = { GEO = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_GEO_loc_key
	}
	text = { trigger = { GER = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_GER_loc_key
	}
	text = { trigger = { GRE = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_GRE_loc_key
	}
	text = { trigger = { HOL = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_HOL_loc_key
	}
	text = { trigger = { HUN = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_HUN_loc_key
	}
	text = { trigger = { ICE = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_ICE_loc_key
	}
	text = { trigger = { IRE = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_IRE_loc_key
	}
	text = { trigger = { ITA = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_ITA_loc_key
	}
	text = { trigger = { KOS = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_KOS_loc_key
	}
	text = { trigger = { LAT = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_LAT_loc_key
	}
	text = { trigger = { LIT = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_LIT_loc_key
	}
	text = { trigger = { LUX = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_LUX_loc_key
	}
	text = { trigger = { MLT = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_MLT_loc_key
	}
	text = { trigger = { MLV = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_MLV_loc_key
	}
	text = { trigger = { MNT = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_MNT_loc_key
	}
	text = { trigger = { NOR = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_NOR_loc_key
	}
	text = { trigger = { POL = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_POL_loc_key
	}
	text = { trigger = { POR = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_POR_loc_key
	}
	text = { trigger = { ROM = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_ROM_loc_key
	}
	text = { trigger = { SCL = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SCL_loc_key
	}
	text = { trigger = { SCO = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SCO_loc_key
	}
	text = { trigger = { SER = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SER_loc_key
	}
	text = { trigger = { SLO = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SLO_loc_key
	}
	text = { trigger = { SLV = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SLV_loc_key
	}
	text = { trigger = { SPR = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SPR_loc_key
	}
	text = { trigger = { SWE = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SWE_loc_key
	}
	text = { trigger = { SWI = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_SWI_loc_key
	}
	text = { trigger = { TUR = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_TUR_loc_key
	}
	text = { trigger = { UKR = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_UKR_loc_key
	}
	text = { trigger = { WAS = { has_country_flag = EU_budget_draft } }
		localization_key = EU_council_WAS_loc_key
	}
}

### EU Budget draft status ###
defined_text = {
	name = draft_status_EU_mff
	text = { trigger = { has_global_flag = focus_EU_mff_EP_approval }
		localization_key = EU_council_EP_approval_loc_key
	}
}

defined_text = {
	name = draft_status_EU_budget
	text = { trigger = { has_global_flag = focus_EU_budget_EP_approval }
		localization_key = EU_council_EP_approval_loc_key
	}
}


### Contribution of the member states

defined_text = {
	name = EU_contribution_member_states
	text = {
		localization_key = EU_contribution_member_states_loc_key
	}
}


### Contribution of the member states TAGs

defined_text = {
	name = ALB_EU_contribution
	text = {
		trigger = {
			country_exists = ALB
			is_in_array = { global.EU_member = ALB }
		}
		localization_key = ALB_EU_contribution
	}
}
defined_text = {
	name = ARM_EU_contribution
	text = {
		trigger = {
			country_exists = ARM
			is_in_array = { global.EU_member = ARM }
		}
		localization_key = ARM_EU_contribution
	}
}
defined_text = {
	name = AUS_EU_contribution
	text = {
		trigger = {
			country_exists = AUS
			is_in_array = { global.EU_member = AUS }
		}
		localization_key = AUS_EU_contribution
	}
}
defined_text = {
	name = AZE_EU_contribution
	text = {
		trigger = {
			country_exists = AZE
			is_in_array = { global.EU_member = AZE }
		}
		localization_key = AZE_EU_contribution
	}
}
defined_text = {
	name = BEL_EU_contribution
	text = {
		trigger = {
			country_exists = BEL
			is_in_array = { global.EU_member = BEL }
		}
		localization_key = BEL_EU_contribution
	}
}
defined_text = {
	name = BLR_EU_contribution
	text = {
		trigger = {
			country_exists = BLR
			is_in_array = { global.EU_member = BLR }
		}
		localization_key = BLR_EU_contribution
	}
}
defined_text = {
	name = BOS_EU_contribution
	text = {
		trigger = {
			country_exists = BOS
			is_in_array = { global.EU_member = BOS }
		}
		localization_key = BOS_EU_contribution
	}
}
defined_text = {
	name = BUL_EU_contribution
	text = {
		trigger = {
			country_exists = BUL
			is_in_array = { global.EU_member = BUL }
		}
		localization_key = BUL_EU_contribution
	}
}
defined_text = {
	name = CAT_EU_contribution
	text = {
		trigger = {
			country_exists = CAT
			is_in_array = { global.EU_member = CAT }
		}
		localization_key = CAT_EU_contribution
	}
}
defined_text = {
	name = CRE_EU_contribution
	text = {
		trigger = {
			country_exists = CRE
			is_in_array = { global.EU_member = CRE }
		}
		localization_key = CRE_EU_contribution
	}
}
defined_text = {
	name = CRO_EU_contribution
	text = {
		trigger = {
			country_exists = CRO
			is_in_array = { global.EU_member = CRO }
		}
		localization_key = CRO_EU_contribution
	}
}
defined_text = {
	name = CYP_EU_contribution
	text = {
		trigger = {
			country_exists = CYP
			is_in_array = { global.EU_member = CYP }
		}
		localization_key = CYP_EU_contribution
	}
}
defined_text = {
	name = CZE_EU_contribution
	text = {
		trigger = {
			country_exists = CZE
			is_in_array = { global.EU_member = CZE }
		}
		localization_key = CZE_EU_contribution
	}
}
defined_text = {
	name = DEN_EU_contribution
	text = {
		trigger = {
			country_exists = DEN
			is_in_array = { global.EU_member = DEN }
		}
		localization_key = DEN_EU_contribution
	}
}
defined_text = {
	name = ENG_EU_contribution
	text = {
		trigger = {
			country_exists = ENG
			is_in_array = { global.EU_member = ENG }
		}
		localization_key = ENG_EU_contribution
	}
}
defined_text = {
	name = EST_EU_contribution
	text = {
		trigger = {
			country_exists = EST
			is_in_array = { global.EU_member = EST }
		}
		localization_key = EST_EU_contribution
	}
}
# TODO: Bird continue from here
defined_text = {
	name = FIN_EU_contribution
	text = {
		trigger = {
			FIN = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = FIN_EU_contribution
	}
}
defined_text = {
	name = FRA_EU_contribution
	text = {
		trigger = {
			FRA = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = FRA_EU_contribution
	}
}
defined_text = {
	name = FYR_EU_contribution
	text = {
		trigger = {
			FYR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = FYR_EU_contribution
	}
}
defined_text = {
	name = GEO_EU_contribution
	text = {
		trigger = {
			GEO = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = GEO_EU_contribution
	}
}
defined_text = {
	name = GER_EU_contribution
	text = {
		trigger = {
			GER = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = GER_EU_contribution
	}
}
defined_text = {
	name = GRE_EU_contribution
	text = {
		trigger = {
			GRE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = GRE_EU_contribution
	}
}
defined_text = {
	name = HOL_EU_contribution
	text = {
		trigger = {
			HOL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = HOL_EU_contribution
	}
}
defined_text = {
	name = HUN_EU_contribution
	text = {
		trigger = {
			HUN = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = HUN_EU_contribution
	}
}
defined_text = {
	name = ICE_EU_contribution
	text = {
		trigger = {
			ICE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ICE_EU_contribution
	}
}
defined_text = {
	name = IRE_EU_contribution
	text = {
		trigger = {
			IRE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = IRE_EU_contribution
	}
}
defined_text = {
	name = ITA_EU_contribution
	text = {
		trigger = {
			ITA = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ITA_EU_contribution
	}
}
defined_text = {
	name = KOS_EU_contribution
	text = {
		trigger = {
			KOS = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = KOS_EU_contribution
	}
}
defined_text = {
	name = LAT_EU_contribution
	text = {
		trigger = {
			LAT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = LAT_EU_contribution
	}
}
defined_text = {
	name = LIT_EU_contribution
	text = {
		trigger = {
			LIT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = LIT_EU_contribution
	}
}
defined_text = {
	name = LUX_EU_contribution
	text = {
		trigger = {
			LUX = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = LUX_EU_contribution
	}
}
defined_text = {
	name = MLT_EU_contribution
	text = {
		trigger = {
			MLT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = MLT_EU_contribution
	}
}
defined_text = {
	name = MLV_EU_contribution
	text = {
		trigger = {
			MLV = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = MLV_EU_contribution
	}
}
defined_text = {
	name = MNT_EU_contribution
	text = {
		trigger = {
			MNT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = MNT_EU_contribution
	}
}
defined_text = {
	name = NOR_EU_contribution
	text = {
		trigger = {
			NOR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = NOR_EU_contribution
	}
}
defined_text = {
	name = POL_EU_contribution
	text = {
		trigger = {
			POL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = POL_EU_contribution
	}
}
defined_text = {
	name = POR_EU_contribution
	text = {
		trigger = {
			POR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = POR_EU_contribution
	}
}
defined_text = {
	name = ROM_EU_contribution
	text = {
		trigger = {
			ROM = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ROM_EU_contribution
	}
}
defined_text = {
	name = SCL_EU_contribution
	text = {
		trigger = {
			SCL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SCL_EU_contribution
	}
}
defined_text = {
	name = SCO_EU_contribution
	text = {
		trigger = {
			SCO = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SCO_EU_contribution
	}
}
defined_text = {
	name = SER_EU_contribution
	text = {
		trigger = {
			SER = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SER_EU_contribution
	}
}
defined_text = {
	name = SLO_EU_contribution
	text = {
		trigger = {
			SLO = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SLO_EU_contribution
	}
}
defined_text = {
	name = SLV_EU_contribution
	text = {
		trigger = {
			SLV = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SLV_EU_contribution
	}
}
defined_text = {
	name = SPR_EU_contribution
	text = {
		trigger = {
			SPR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SPR_EU_contribution
	}
}
defined_text = {
	name = SWE_EU_contribution
	text = {
		trigger = {
			SWE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SWE_EU_contribution
	}
}
defined_text = {
	name = SWI_EU_contribution
	text = {
		trigger = {
			SWI = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SWI_EU_contribution
	}
}
defined_text = {
	name = TUR_EU_contribution
	text = {
		trigger = {
			TUR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = TUR_EU_contribution
	}
}
defined_text = {
	name = UKR_EU_contribution
	text = {
		trigger = {
			UKR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = UKR_EU_contribution
	}
}
defined_text = {
	name = WAS_EU_contribution
	text = {
		trigger = {
			WAS = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = WAS_EU_contribution
	}
}


### Distribution to the member states

defined_text = {
	name = EU_distribution_member_states
	text = {
		localization_key = EU_distribution_member_states_loc_key
	}
}

defined_text = {
	name = ALB_EU_distribution
	text = {
		trigger = {
			ALB = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ALB_EU_distribution
	}
}
defined_text = {
	name = ARM_EU_distribution
	text = {
		trigger = {
			ARM = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ARM_EU_distribution
	}
}
defined_text = {
	name = AUS_EU_distribution
	text = {
		trigger = {
			AUS = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = AUS_EU_distribution
	}
}
defined_text = {
	name = AZE_EU_distribution
	text = {
		trigger = {
			AZE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = AZE_EU_distribution
	}
}
defined_text = {
	name = BEL_EU_distribution
	text = {
		trigger = {
			BEL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = BEL_EU_distribution
	}
}
defined_text = {
	name = BLR_EU_distribution
	text = {
		trigger = {
			BLR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = BLR_EU_distribution
	}
}
defined_text = {
	name = BOS_EU_distribution
	text = {
		trigger = {
			BOS = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = BOS_EU_distribution
	}
}
defined_text = {
	name = BUL_EU_distribution
	text = {
		trigger = {
			BUL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = BUL_EU_distribution
	}
}
defined_text = {
	name = CAT_EU_distribution
	text = {
		trigger = {
			CAT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = CAT_EU_distribution
	}
}
defined_text = {
	name = CRE_EU_distribution
	text = {
		trigger = {
			CRE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = CRE_EU_distribution
	}
}
defined_text = {
	name = CRO_EU_distribution
	text = {
		trigger = {
			CRO = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = CRO_EU_distribution
	}
}
defined_text = {
	name = CYP_EU_distribution
	text = {
		trigger = {
			CYP = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = CYP_EU_distribution
	}
}
defined_text = {
	name = CZE_EU_distribution
	text = {
		trigger = {
			CZE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = CZE_EU_distribution
	}
}
defined_text = {
	name = DEN_EU_distribution
	text = {
		trigger = {
			DEN = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = DEN_EU_distribution
	}
}
defined_text = {
	name = ENG_EU_distribution
	text = {
		trigger = {
			ENG = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ENG_EU_distribution
	}
}
defined_text = {
	name = EST_EU_distribution
	text = {
		trigger = {
			EST = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = EST_EU_distribution
	}
}
defined_text = {
	name = FIN_EU_distribution
	text = {
		trigger = {
			FIN = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = FIN_EU_distribution
	}
}
defined_text = {
	name = FRA_EU_distribution
	text = {
		trigger = {
			FRA = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = FRA_EU_distribution
	}
}
defined_text = {
	name = FYR_EU_distribution
	text = {
		trigger = {
			FYR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = FYR_EU_distribution
	}
}
defined_text = {
	name = GEO_EU_distribution
	text = {
		trigger = {
			GEO = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = GEO_EU_distribution
	}
}
defined_text = {
	name = GER_EU_distribution
	text = {
		trigger = {
			GER = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = GER_EU_distribution
	}
}
defined_text = {
	name = GRE_EU_distribution
	text = {
		trigger = {
			GRE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = GRE_EU_distribution
	}
}
defined_text = {
	name = HOL_EU_distribution
	text = {
		trigger = {
			HOL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = HOL_EU_distribution
	}
}
defined_text = {
	name = HUN_EU_distribution
	text = {
		trigger = {
			HUN = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = HUN_EU_distribution
	}
}
defined_text = {
	name = ICE_EU_distribution
	text = {
		trigger = {
			ICE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ICE_EU_distribution
	}
}
defined_text = {
	name = IRE_EU_distribution
	text = {
		trigger = {
			IRE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = IRE_EU_distribution
	}
}
defined_text = {
	name = ITA_EU_distribution
	text = {
		trigger = {
			ITA = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ITA_EU_distribution
	}
}
defined_text = {
	name = KOS_EU_distribution
	text = {
		trigger = {
			KOS = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = KOS_EU_distribution
	}
}
defined_text = {
	name = LAT_EU_distribution
	text = {
		trigger = {
			LAT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = LAT_EU_distribution
	}
}
defined_text = {
	name = LIT_EU_distribution
	text = {
		trigger = {
			LIT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = LIT_EU_distribution
	}
}
defined_text = {
	name = LUX_EU_distribution
	text = {
		trigger = {
			LUX = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = LUX_EU_distribution
	}
}
defined_text = {
	name = MLT_EU_distribution
	text = {
		trigger = {
			MLT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = MLT_EU_distribution
	}
}
defined_text = {
	name = MLV_EU_distribution
	text = {
		trigger = {
			MLV = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = MLV_EU_distribution
	}
}
defined_text = {
	name = MNT_EU_distribution
	text = {
		trigger = {
			MNT = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = MNT_EU_distribution
	}
}
defined_text = {
	name = NOR_EU_distribution
	text = {
		trigger = {
			NOR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = NOR_EU_distribution
	}
}
defined_text = {
	name = POL_EU_distribution
	text = {
		trigger = {
			POL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = POL_EU_distribution
	}
}
defined_text = {
	name = POR_EU_distribution
	text = {
		trigger = {
			POR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = POR_EU_distribution
	}
}
defined_text = {
	name = ROM_EU_distribution
	text = {
		trigger = {
			ROM = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = ROM_EU_distribution
	}
}
defined_text = {
	name = SCL_EU_distribution
	text = {
		trigger = {
			SCL = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SCL_EU_distribution
	}
}
defined_text = {
	name = SCO_EU_distribution
	text = {
		trigger = {
			SCO = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SCO_EU_distribution
	}
}
defined_text = {
	name = SER_EU_distribution
	text = {
		trigger = {
			SER = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SER_EU_distribution
	}
}
defined_text = {
	name = SLO_EU_distribution
	text = {
		trigger = {
			SLO = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SLO_EU_distribution
	}
}
defined_text = {
	name = SLV_EU_distribution
	text = {
		trigger = {
			SLV = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SLV_EU_distribution
	}
}
defined_text = {
	name = SPR_EU_distribution
	text = {
		trigger = {
			SPR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SPR_EU_distribution
	}
}
defined_text = {
	name = SWE_EU_distribution
	text = {
		trigger = {
			SWE = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SWE_EU_distribution
	}
}
defined_text = {
	name = SWI_EU_distribution
	text = {
		trigger = {
			SWI = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = SWI_EU_distribution
	}
}
defined_text = {
	name = TUR_EU_distribution
	text = {
		trigger = {
			TUR = {
				country_exists = THIS
				has_idea = EU_member
			}
		}
		localization_key = TUR_EU_distribution
	}
}
defined_text = {
	name = UKR_EU_distribution
	text = {
		trigger = {
			country_exists = UKR
			is_in_array = { global.EU_member = UKR }
		}
		localization_key = UKR_EU_distribution
	}
}
defined_text = {
	name = WAS_EU_distribution
	text = {
		trigger = {
			country_exists = WAS
			is_in_array = { global.EU_member = WAS }
		}
		localization_key = WAS_EU_distribution
	}
}

